package cn.rankin.common.utils.dto.product;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.WareTypeEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class WareDTO implements Serializable {

    private String id;

    @NotNull
    private String code;

    private String name;

    private String digest;

    @NotNull
    private WareTypeEnum type;

    private String playUrl;

    private List<String> imgIds;

    private String cpId;

    private Integer sort;

    private BaseStatusEnum status;
}
