package cn.rankin.productservice.service;

import cn.rankin.productservice.entity.LessonWareRelation;
import cn.rankin.productservice.repository.LessonWareRelationRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class LessonWareRelationService {

    @Autowired
    private LessonWareRelationRepository relationRepository;

    public List<LessonWareRelation> findByWareIds(List<String> wareIds) {
        return relationRepository.findByWareIdIn(wareIds);
    }
}
